import Vue from 'vue';
import VueRouter from 'vue-router';
import store from '@/store/index';

Vue.use(VueRouter);

const routes = [
  // 绑定
  {
    path: '/bind',
    name: 'bind',
    meta: { title: '绑定', isleftarrow: false },
    component: () => import('../views/bind.vue'),
  },
  // 错误
  {
    path: '/error',
    name: '',
    meta: { title: '错误页面', isleftarrow: false },
    component: () => import('../views/error.vue'),
  },
  // 直播大厅
  {
    path: '/live/index',
    name: 'live_index',
    meta: { title: '直播大厅', isleftarrow: true },
    component: () => import('../views/live/index.vue'),
  },
  // 直播详情
  {
    path: '/live/roomDetail',
    name: 'live_detail',
    meta: { title: '直播详情', isleftarrow: true },
    component: () => import('../views/live/roomDetail.vue'),
  },
  // 直播详情
  {
    path: '/live/detail',
    name: 'live_detail',
    meta: { title: '直播详情', isleftarrow: true },
    component: () => import('../views/live/detail.vue'),
  },
  // 直播房间详情
  {
    path: '/onlive/roomInfo',
    name: 'onlive_roomInfo',
    meta: { title: '直播房间详情', isleftarrow: true },
    component: () => import('../views/onlive/roomInfo.vue'),
  },

  // 科技超市
  {
    path: '/market/index',
    name: 'market_index',
    meta: { title: '科技超市', isleftarrow: true },
    component: () => import('../views/market/index.vue'),
  },
  // 科技超市-技术-产品-服务详情
  {
    path: '/market/prodDetail',
    name: 'market_prodDetail',
    meta: { title: '产品详情', isleftarrow: true },
    component: () => import('../views/market/prodDetail.vue'),
  },
  // 科技超市-专家详情
  {
    path: '/market/exportDetail',
    name: 'market_exportDetail',
    meta: { title: '专家详情', isleftarrow: true },
    component: () => import('../views/market/exportDetail.vue'),
  },

  // 科技超市-发布产品
  {
    path: '/market/detail',
    name: 'market_detail',
    meta: { title: '发布产品', isleftarrow: true },
    component: () => import('../views/market/detail.vue'),
  },
  // 创新服务
  {
    path: '/service/index',
    name: 'service_index',
    meta: { title: '创新服务', isleftarrow: true },
    component: () => import('../views/service/index.vue'),
  },
  {
    path: '/service/detail',
    name: 'service_detail',
    meta: { title: '创新服务', isleftarrow: true },
    component: () => import('../views/service/detail.vue'),
  },
  // 用户-我的发布
  {
    path: '/userCenter/myProduct/index',
    name: 'myProduct_index',
    meta: { title: '我的发布', isleftarrow: true },
    component: () => import('../views/userCenter/myProduct/index.vue'),
  },

  //用户-我的发布详情
  {
    path: '/userCenter/myProduct/detailinfo',
    name: 'myProduct_detailinfo',
    meta: { title: '产品详情', isleftarrow: true },
    component: () => import('../views/userCenter/myProduct/detailinfo.vue'),
  },

  // 用户-发布产品
  {
    path: '/userCenter/myProduct/detail',
    name: 'myProduct_detail',
    meta: { title: '发布产品', isleftarrow: true },
    component: () => import('../views/userCenter/myProduct/detail.vue'),
  },
  // 用户-事项管理
  {
    path: '/userCenter/matter/index',
    name: 'matter_index',
    meta: { title: '事项管理', isleftarrow: true },
    component: () => import('../views/userCenter/matter/index.vue'),
  },

  // 用户-事项管理详情
  {
    path: '/userCenter/matter/detailinfo',
    name: 'matter_idetailinfo',
    meta: { title: '事项详情', isleftarrow: true },
    component: () => import('../views/userCenter/matter/detailinfo.vue'),
  },

  // 用户-展会管理
  {
    path: '/userCenter/dock/index',
    name: 'dock_index',
    meta: { title: '展会管理', isleftarrow: true },
    component: () => import('../views/userCenter/dock/index.vue'),
  },
  // 用户-申请对接会
  {
    path: '/userCenter/dock/apply',
    name: 'dock_apply',
    meta: { title: '申请对接会', isleftarrow: true },
    component: () => import('../views/userCenter/dock/apply.vue'),
  },
  // 用户-个人中心
  {
    path: '/userCenter/user/index',
    name: 'user_index',
    meta: { title: '个人中心', isleftarrow: true },
    component: () => import('../views/userCenter/user/index.vue'),
  },
  // // 个人中心
  {
    path: '/user/index',
    name: 'user_index',
    meta: { title: '个人中心', isleftarrow: true },
    component: () => import('../views/user/index.vue'),
  },

  // 管理员个人中心-用户管理
  {
    path: '/adminCenter/user/index',
    name: 'adminCenter_user_index',
    meta: { title: '用户管理', isleftarrow: true },
    component: () => import('../views/adminCenter/user/index.vue'),
  },
  // 管理员个人中心-编辑审核
  {
    path: '/adminCenter/user/detail',
    name: 'adminCenter_user_detail',
    meta: { title: '用户详情', isleftarrow: true },
    component: () => import('../views/adminCenter/user/detail.vue'),
  },
  // 管理员个人中心-对接会管理
  {
    path: '/adminCenter/duijiehui/index',
    name: 'adminCenter_user_detail',
    meta: { title: '对接会管理', isleftarrow: true },
    component: () => import('../views/adminCenter/duijiehui/index.vue'),
  },
  // 管理员个人中心-对接会详情
  {
    path: '/adminCenter/duijiehui/detail',
    name: 'adminCenter_duijiehuir_detail',
    meta: { title: '对接会详情', isleftarrow: true },
    component: () => import('../views/adminCenter/duijiehui/detail.vue'),
  },

  // 管理员个人中心-对接会审核
  {
    path: '/adminCenter/duijiehui/examine',
    name: 'adminCenter_duijiehuiexamine',
    meta: { title: '对接会状态审核', isleftarrow: true },
    component: () => import('../views/adminCenter/duijiehui/examine.vue'),
  },

  // 管理员个人中心-对接会申请状况列表
  {
    path: '/adminCenter/duijiehui/apply',
    name: 'adminCenter_duijiapply',
    meta: { title: '对接会申请状况列表', isleftarrow: true },
    component: () => import('../views/adminCenter/duijiehui/apply.vue'),
  },

  // 管理员个人中心-对接会申请状况列表
  {
    path: '/adminCenter/enterpriseProduct/index',
    name: 'adminCenter_enterpriseProduct',
    meta: { title: '产品供求审核管理', isleftarrow: true },
    component: () => import('../views/adminCenter/enterpriseProduct/index.vue'),
  },
  // 管理员个人中心-产品供求交易状态审核管理
  {
    path: '/adminCenter/transaction/index',
    name: 'adminCenter_transaction',
    meta: { title: '产品供求交易状态审核管理', isleftarrow: true },
    component: () => import('../views/adminCenter/transaction/index.vue'),
  },

  // 管理员个人中心-产品供求交易状态审核管理
  {
    path: '/adminCenter/transaction/detail',
    name: 'adminCenter_detail',
    meta: { title: '产品供求交易状态审核管理详情', isleftarrow: true },
    component: () => import('../views/adminCenter/transaction/detail.vue'),
  },

  ,
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : process.env.VUE_APP_ROUTER,
  routes,
});
router.beforeEach((to, form, next) => {
  if (to.name === 'user_index') {
    store.commit('setUser');
    if (to.name === 'home_index') {
      next();
      return;
    }
    let user = store.state.user;
    if (user) {
      next();
    }
    //下面是没登录的情况,需要跳转页面到用户未登录页
    else next({ name: 'home_index' });
  } else {
    store.commit('setUser');
    next();
  }
});

export default router;
